﻿' PagePropertiesEdit, Version 1.0.1, vom 20.10.2009
'
' Erzeugt einen neuen Menüpunkt "Eigenschaften..." unter dem Hauptmenu "Seite",
' dieser ruft den Dialog "Eigenschaften" der aktuellen Seite auf.
' Dem neuen Menüpunkt kann dann z.B. die Tastenkombination "STRG+E" zugeordnet werden.
'
' Copyright by Frank Schöneck, 2009
'
' Erweitert durch Straight-Potter
' Menü-ID angepasst
' für Eplan Electric P8, ab V1.9.6
'
'
Public Class PagePropertiesEdit
  <DeclareMenu()> _
   Public Sub PagePropertiesEditMenu()

    Dim oMenu As New Eplan.EplApi.Gui.Menu()
        oMenu.AddMenuItem("Eigenschaften...", "PagePropertiesEditAction", "Eigenschaften der aktuellen Seite bearbeiten", 35149, 1, True, False)

  End Sub

  <DeclareAction("PagePropertiesEditAction")> _
   Public Sub PagePropertiesEditAction()

    Dim CommandLineInterpreter As New CommandLineInterpreter()

    'Aktuelle Seite markieren
    CommandLineInterpreter.Execute("XGedSelectPageAction")
    'Eigenschaften bearbeiten aufrufen
    CommandLineInterpreter.Execute("GfDlgMgrActionIGfWind /function:Properties")
		'Markierung aufheben
		CommandLineInterpreter.Execute("XGedEscapeAction")
  End Sub

End Class
